# Build with --debug (1) or --symbols (0)
%define debug   0
%define plugindir %{_usr}/lib/%{name}/plugins
%define libplugindir %{_usr}/lib/librnd/plugins

## NOTE This spec must be auto-generated.
# Only edit version, release and svn revision in here.
# See packaging.README for full details.
#
# The current librnd-devel package in the same Mga release system
# as building for and in, must be installed before auto updating
# the spec.
#
# For svn snapshot:
# Run './mk-tar' in SOURCES and note the svn revision # in output.
# In this spec. edit the '#define svn' to the new revision and
# replace '#' with percent sign if not already there.
#
# For full release:
# Get the new tarball
# Replace percent sign with '#' in '%%define svn' line
#
# Then for either full or snapshot release:
# Edit this spec to the new Version and Release, save and close.
# Now run './mk-spec sch-rnd' in SOURCES to re-create
# this spec file with any upstream changes.
##############################################

# commented out if not svn snapshot
#define svn

%define rel     1

Name:           sch-rnd
Version:        1.0.1
Release:        %mkrel %{?svn:-c %{svn} %{rel}}%{?!svn:%{rel}}
Summary:        Standard installation
License:        GPLv2+ and LGPLv2+ and BSD and MIT
Group:          Sciences/Other
URL:            http://repo.hu/projects/sch-rnd
Source0:        http://repo.hu/projects/%{name}/releases/%{name}%{?svn:-%{svn}}%{!?svn:-%{version}}.tar.gz
Source1:        %{name}.desktop
Source2:        mk-tar
Source3:        mk-spec
Source4:        spec.tpl
Source5:        packaging.README

BuildRequires:  fungw-devel
BuildRequires:  librnd-devel >= 4.0.0
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       %{name}-core = %{version}-%{release}
Recommends:     %{name}-io-alien = %{version}-%{release}
Recommends:     %{name}-lib-gui = %{version}-%{release}
Recommends:     %{_lib}rnd4-hid-gtk2-gl >= 4.0.0
Recommends:     %{_lib}rnd4-hid-gtk2-gdk >= 4.0.0
Recommends:     %{name}-export-extra = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description
sch-rnd is a highly modular schematic capture software with a rich set of
plugins for communicating with various external design tools and other
EDA/CAD packages.

Feature highlights:
  - explicit abstract model
  - back annotation support
  - multiple sheets

File formats and compatibility:
  - text based, tree structured native file format (lihata)
  - import netlist:
    * altium schematics
    * geda cschem schematics (v2)
    * lihata cschem schematics (any version)
    * cschem non-graphical schematic sheets in tEDAx format
    * cschem non-graphical schematic sheets in tEDAx format
    * TinyCAD schematics
  - export netlist:
    * tEDAx netlist
    * lihata cschem schematics (any version)
  - import misc:
    * geda cschem symbol (v1)
    * lihata cschem symbol (any version)
  - export misc:
    * abstract model text
    * printer (using ps)
    * png
    * ps
    * eps
    * spice
    * svg
    * lihata cschem symbol (any version)

For full details of supported formats etc. please visit:
http://www.repo.hu/projects/sch-rnd/datasheet.html

%package core
Summary:        Executable with the core functionality and boxsym-rnd
Requires:       %{_lib}rnd4 >= 4.0.0

%description core
Includes the data model, the most common action commands, the native file
format. Can be used in headless mode or batch/scripted mode for automated
processing or with GUI (if sch-rnd-lib-gui and librnd GUI HIDs are installed).

%package doc
Summary:        Documentation
BuildArch:      noarch

%description doc
User manual and developer doc (html).

%package debug
Summary:        Debug and diagnostics
Requires:       %{name}-core = %{version}-%{release}

%description debug
Extra action commands to help in debugging and diagnosing problems and bugs.

%package export-gd
Summary:        Export formats that require libgd
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{_lib}rnd4-pixmap >= 4.0.0

%description export-gd
Bitmap export plugin (png, jpeg, etc.)

%package export-vector
Summary:        Export formats: vector graphics
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{_lib}rnd4 >= 4.0.0

%description export-vector
Common vector graphic export formats: ps, eps, svg.

%package export-extra
Summary:        Export formats: special/extra
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-export-vector = %{version}-%{release}

%description export-extra
Less commonly used export formats: abstract model text export, direct
printing with lpr.

%package io-alien
Summary:        File format compatibility with other schematics capture tools
Requires:       %{name}-core = %{version}-%{release}

%description io-alien
Load and/or save boards in file formats supported by other EDA tools,
geda/gschem, lepton-eda, TinyCAD, Altium.

%package lib-gui
Summary:        Support library for building the GUI
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{_lib}rnd4-lib-gui >= 4.0.0

%description lib-gui
Provides sch-rnd specific dialog boxes and top window GUI elements.

%prep
%autosetup -n %{name}-%{?svn}%{!?svn:%{version}} -p1

%build
./configure \
--libarchdir=%{_lib} \
--all=disable --buildin-act_read --buildin-place --buildin-symlib_local --buildin-lib_netlist_exp --buildin-std_tools --buildin-renumber --buildin-io_ngrp_tedax --buildin-backann --buildin-std_cschem --buildin-export_tedax --buildin-std_forge --buildin-std_devmap --buildin-propedit --buildin-io_ngrp_fawk --buildin-io_lihata --buildin-target_spice --buildin-target_pcb --buildin-act_draw --buildin-target_none --buildin-symlib_fs --buildin-query --buildin-export_spice --buildin-lib_ngrp --buildin-construct --plugin-lib_alien --plugin-export_ps --plugin-export_abst --plugin-io_altium --plugin-sch_dialogs --plugin-export_lpr --plugin-export_svg --plugin-gui --plugin-diag --plugin-io_tinycad --plugin-io_geda --plugin-export_png \
%if %{debug} == 1
        prefix=%{_prefix} --debug
%else
        prefix=%{_prefix} --symbols
%endif

make

%install
%make_install

# Install icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp doc/resources/logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/

%files
# Meta-Package with desktop file
%{_datadir}/applications/%{name}.desktop

%files doc
%doc %{_docdir}/%{name}/

%files core
%{_iconsdir}/hicolor/scalable/apps/sch-rnd.svg
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_bindir}/boxsym-rnd
%{_mandir}/man1/boxsym-rnd.1*
%{_mandir}/man5/boxsym-rnd.5*
%{_usr}/lib/%{name}/boxsym-rnd/
%{_usr}/lib/%{name}/minuid
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-conf.lht
%config(noreplace) %{_sysconfdir}/%{name}/menu-default.lht
%{_datadir}/%{name}/default-sheet.lht
%{_datadir}/%{name}/devmap/
%{_datadir}/%{name}/font/
%{_datadir}/%{name}/symbol/
%{_datadir}/%{name}/spice/
%config(noreplace) %{_sysconfdir}/%{name}/renumber.conf
%config(noreplace) %{_sysconfdir}/%{name}/std_cschem.conf
%config(noreplace) %{_sysconfdir}/%{name}/std_devmap.conf
%config(noreplace) %{_sysconfdir}/%{name}/target_spice.conf

%files debug
%{plugindir}/diag.pup
%{plugindir}/diag.so
   
%files export-gd
%{plugindir}/export_png.pup
%{plugindir}/export_png.so

%files export-vector
%{plugindir}/export_ps.pup
%{plugindir}/export_ps.so
%{plugindir}/export_svg.pup
%{plugindir}/export_svg.so

%files export-extra
%{plugindir}/export_abst.pup
%{plugindir}/export_abst.so
%{plugindir}/export_lpr.pup
%{plugindir}/export_lpr.so

%files io-alien
%{plugindir}/io_altium.pup
%{plugindir}/io_altium.so
%{plugindir}/io_geda.pup
%{plugindir}/io_geda.so
%{plugindir}/io_tinycad.pup
%{plugindir}/io_tinycad.so
%{plugindir}/lib_alien.pup
%{plugindir}/lib_alien.so
%config(noreplace) %{_sysconfdir}/%{name}/io_altium.conf
%config(noreplace) %{_sysconfdir}/%{name}/io_geda.conf
%config(noreplace) %{_sysconfdir}/%{name}/io_tinycad.conf

%files lib-gui
%{plugindir}/gui.pup
%{plugindir}/gui.so
%{plugindir}/sch_dialogs.pup
%{plugindir}/sch_dialogs.so
%config(noreplace) %{_sysconfdir}/%{name}/adialogs.conf


%changelog
* Fri Jun 30 2023 barjac <barjac> 1.0.1-1.mga9
+ Revision: 1963331
- new version 1.0.1

* Thu May 25 2023 barjac <barjac> 1.0.0-2.mga9
+ Revision: 1957985
- minor mk-spec script change to sync with *-rnd

* Wed May 03 2023 barjac <barjac> 1.0.0-1.mga9
+ Revision: 1955729
- new package sch-rnd

